Subject: Re: bug#78205: [PATCH] Recenter for the calendar

From: Manuel Giraud <[email-masked]>
Date: Mon, 05 May 2025 20:00:14 +0200

Michael Heerdegen <[email-masked]> writes:

> Manuel Giraud <[email-masked]> writes:
>
>> Thanks.  I have copy this part from 'recenter-top-bottom'.  I'll try
>> with memq.
>
> Thanks.
>
>> > What does "XXX" mean?
>>
>> It is kind of a warning/watchout for future readers.  I've seen it use
>> in other places in the Emacs sources.
>
> So if it only says "Look!  A comment!", and given that we remove any
> unimportant comments, and also that everybody can see that there is a
> comment, I don't think I see a use for this kind of marker.  The comment
> you marked that way doesn't look like it would need this kind of eye
> catching.  It is good to have that comment, but the comment is not that
> exceptionally important compared to other comments.

Yes, you're right I'll remove this.

> Something else: I wonder (I hope this would not be too radical, but):
> have you thought about making the mouse wheel scroll the months as well?
> Scrolling with the wheel is not useful in the calendar buffer window
> anyway (*1), and it would fit nicely with your C-l patch.

Good idea!  I don't usually use the mouse wheel but the calendar
behaviour is far from ideal.  This would the subject of another patch.
-- 
Manuel Giraud